> ## Documentation Index
> Fetch the complete documentation index at: https://apidoc.mailercloud.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Automation Details

> Retrieve details and node-level campaign report data for an advanced automation by its ID. The request body filters which node types are included.



## OpenAPI

````yaml /openapi-v1.json post /automations/{id}
openapi: 3.1.0
info:
  title: Mailercloud Marketing API
  version: 1.0.0
  description: >-
    Campaigns, contacts, lists, segments, automations, and webhooks for the
    Mailercloud Marketing Platform.
servers:
  - url: https://cloudapi.mailercloud.com/v1
security:
  - apiKey: []
tags:
  - name: Campaigns
  - name: Contacts
  - name: Lists
  - name: Tags
  - name: Segments
  - name: Custom Properties
  - name: Senders
  - name: Templates
  - name: Automations
  - name: Webhooks
  - name: Webforms
  - name: Inbox Tracker
  - name: Account
paths:
  /automations/{id}:
    post:
      tags:
        - Automations
      summary: Get Automation Details
      description: >-
        Retrieve details and node-level campaign report data for an advanced
        automation by its ID. The request body filters which node types are
        included.
      operationId: get-single-automatoin-details
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                node_type:
                  type: string
                  description: >-
                    Filter nodes by type


                    Types:
                    "delay","wait_for_trigger","if/else","split","goto","email","list","contact_update","tag_actions"
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: object
                properties:
                  automation:
                    type: object
                    properties:
                      automation_id:
                        type: string
                      automation_name:
                        type: string
                      created_date:
                        type: string
                      updated_date:
                        type: string
                      start_time:
                        type: string
                      finish_time:
                        type: string
                      timezone:
                        type: string
                      status:
                        type: string
                      total_contacts:
                        type: integer
                      total_triggers:
                        type: integer
                      total_nodes:
                        type: integer
                      skipped_contacts:
                        type: integer
                      completed_contacts:
                        type: integer
                      campaigns:
                        type: array
                        items:
                          type: object
                          properties:
                            blacklisted_domains:
                              type: object
                              properties: {}
                            broken_links:
                              type: object
                              properties: {}
                            conversion_tracking:
                              type: object
                              properties:
                                name:
                                  type: string
                                type:
                                  type: string
                            created_date:
                              type: string
                            email_preheader:
                              type: string
                            modified_date:
                              type: string
                            name:
                              type: string
                            permission_reminder:
                              type: string
                            reply_email:
                              type: string
                            report_abuse:
                              type: boolean
                            report_summary:
                              type: object
                              properties:
                                abuse:
                                  type: integer
                                abuse_percentage:
                                  type: string
                                clicks:
                                  type: integer
                                clicks_percentage:
                                  type: string
                                conversions:
                                  type: integer
                                conversions_percentage:
                                  type: string
                                delivered:
                                  type: integer
                                delivered_percentage:
                                  type: string
                                hard_bounce:
                                  type: integer
                                hard_bounce_percentage:
                                  type: string
                                open_percentage:
                                  type: string
                                opens:
                                  type: integer
                                queue:
                                  type: integer
                                queue_percentage:
                                  type: string
                                queued_total:
                                  type: integer
                                sent:
                                  type: integer
                                sent_percentage:
                                  type: string
                                soft_bounce:
                                  type: integer
                                soft_bounce_percentage:
                                  type: string
                                spam_complaints_count:
                                  type: integer
                                spam_complaints_percentage:
                                  type: string
                                unsubscribe:
                                  type: integer
                                unsubscribe_percentage:
                                  type: string
                            sender:
                              type: object
                              properties:
                                sender_email:
                                  type: string
                                sender_name:
                                  type: string
                            status:
                              type: string
                            subject:
                              type: string
                            tag:
                              type: string
                      triggers:
                        type: array
                        items:
                          type: object
                          properties:
                            activity:
                              type: string
                            activity_id:
                              type: string
                            description:
                              type: string
                            filters:
                              type: object
                              properties:
                                group_joiner:
                                  type: string
                                groups:
                                  type: array
                                  items:
                                    type: object
                                    properties: {}
                            included_import:
                              type: boolean
                            list_id:
                              type: string
                            list_name:
                              type: string
                      steps:
                        type: array
                        items:
                          type: object
                          properties:
                            active_contacts:
                              type: integer
                            campaign_details:
                              type: object
                              properties:
                                created_date:
                                  type: string
                                email_preheader:
                                  type: string
                                modified_date:
                                  type: string
                                name:
                                  type: string
                                reply_email:
                                  type: string
                                report_summary:
                                  type: object
                                  properties:
                                    abuse:
                                      type: integer
                                    abuse_percentage:
                                      type: string
                                    clicks:
                                      type: integer
                                    clicks_percentage:
                                      type: string
                                    conversions:
                                      type: integer
                                    conversions_percentage:
                                      type: string
                                    delivered:
                                      type: integer
                                    delivered_percentage:
                                      type: string
                                    hard_bounce:
                                      type: integer
                                    hard_bounce_percentage:
                                      type: string
                                    open_percentage:
                                      type: string
                                    opens:
                                      type: integer
                                    queue:
                                      type: integer
                                    queue_percentage:
                                      type: string
                                    queued_total:
                                      type: integer
                                    sent:
                                      type: integer
                                    sent_percentage:
                                      type: string
                                    soft_bounce:
                                      type: integer
                                    soft_bounce_percentage:
                                      type: string
                                    spam_complaints_count:
                                      type: integer
                                    spam_complaints_percentage:
                                      type: string
                                    unsubscribe:
                                      type: integer
                                    unsubscribe_percentage:
                                      type: string
                                sender:
                                  type: object
                                  properties:
                                    sender_email:
                                      type: string
                                    sender_name:
                                      type: string
                                status:
                                  type: string
                                subject:
                                  type: string
                                tag:
                                  type: string
                            completed_contacts:
                              type: integer
                            name:
                              type: string
                            skipped_contacts:
                              type: integer
                            step_id:
                              type: string
                            type:
                              type: string
                x-examples:
                  Example 1:
                    automation:
                      automation_id: EZZ
                      automation_name: Draft
                      created_date: '2025-01-23 18:31:10'
                      updated_date: '2025-01-24 09:59:50'
                      start_time: ''
                      finish_time: ''
                      timezone: ''
                      status: Draft
                      total_contacts: 0
                      total_triggers: 1
                      total_nodes: 1
                      skipped_contacts: 0
                      completed_contacts: 0
                      campaigns:
                        - blacklisted_domains: {}
                          broken_links: {}
                          conversion_tracking:
                            name: ew p
                            type: Iframe
                          created_date: '2025-01-24 09:59:47'
                          email_preheader: ''
                          modified_date: '2025-01-24 09:59:47'
                          name: Html - 1
                          permission_reminder: ''
                          reply_email: test@regalwork.com
                          report_abuse: false
                          report_summary:
                            abuse: 0
                            abuse_percentage: '0.00'
                            clicks: 0
                            clicks_percentage: '0.00'
                            conversions: 0
                            conversions_percentage: '0.00'
                            delivered: 0
                            delivered_percentage: '0.00'
                            hard_bounce: 0
                            hard_bounce_percentage: '0.00'
                            open_percentage: '0.00'
                            opens: 0
                            queue: 0
                            queue_percentage: '0.00'
                            queued_total: 0
                            sent: 0
                            sent_percentage: '0.00'
                            soft_bounce: 0
                            soft_bounce_percentage: '0.00'
                            spam_complaints_count: 0
                            spam_complaints_percentage: '0.00'
                            unsubscribe: 0
                            unsubscribe_percentage: '0.00'
                          sender:
                            sender_email: test@regalwork.com
                            sender_name: Html - 1
                          status: Draft
                          subject: Html - 1
                          tag: Improvements
                      triggers:
                        - activity: Contact Activity
                          activity_id: uSK
                          description: Contact joins to a particular list
                          filters:
                            group_joiner: OR
                            groups: []
                          included_import: true
                          list_id: Ewy
                          list_name: List Deletion - 1
                      steps:
                        - active_contacts: 0
                          campaign_details:
                            created_date: '2025-01-24 09:59:47'
                            email_preheader: ''
                            modified_date: '2025-01-24 09:59:47'
                            name: Html - 1
                            reply_email: test@regalwork.com
                            report_summary:
                              abuse: 0
                              abuse_percentage: '0.00'
                              clicks: 0
                              clicks_percentage: '0.00'
                              conversions: 0
                              conversions_percentage: '0.00'
                              delivered: 0
                              delivered_percentage: '0.00'
                              hard_bounce: 0
                              hard_bounce_percentage: '0.00'
                              open_percentage: '0.00'
                              opens: 0
                              queue: 0
                              queue_percentage: '0.00'
                              queued_total: 0
                              sent: 0
                              sent_percentage: '0.00'
                              soft_bounce: 0
                              soft_bounce_percentage: '0.00'
                              spam_complaints_count: 0
                              spam_complaints_percentage: '0.00'
                              unsubscribe: 0
                              unsubscribe_percentage: '0.00'
                            sender:
                              sender_email: test@regalwork.com
                              sender_name: Html - 1
                            status: Draft
                            subject: Html - 1
                            tag: Improvements
                          completed_contacts: 0
                          name: Send Email
                          skipped_contacts: 0
                          step_id: uSS
                          type: email
              examples:
                Example-1:
                  value:
                    automation:
                      automation_id: EZZ
                      automation_name: Draft
                      created_date: '2025-01-23 18:31:10'
                      updated_date: '2025-01-24 09:59:50'
                      start_time: ''
                      finish_time: ''
                      timezone: ''
                      status: Draft
                      total_contacts: 0
                      total_triggers: 1
                      total_nodes: 1
                      skipped_contacts: 0
                      completed_contacts: 0
                      campaigns:
                        - blacklisted_domains: {}
                          broken_links: {}
                          conversion_tracking:
                            name: ew p
                            type: Iframe
                          created_date: '2025-01-24 09:59:47'
                          email_preheader: ''
                          id: HZy
                          modified_date: '2025-01-24 09:59:47'
                          name: Html - 1
                          permission_reminder: ''
                          reply_email: test@regalwork.com
                          report_abuse: false
                          report_summary:
                            abuse: 0
                            abuse_percentage: '0.00'
                            clicks: 0
                            clicks_percentage: '0.00'
                            conversions: 0
                            conversions_percentage: '0.00'
                            delivered: 0
                            delivered_percentage: '0.00'
                            hard_bounce: 0
                            hard_bounce_percentage: '0.00'
                            open_percentage: '0.00'
                            opens: 0
                            queue: 0
                            queue_percentage: '0.00'
                            queued_total: 0
                            sent: 0
                            sent_percentage: '0.00'
                            soft_bounce: 0
                            soft_bounce_percentage: '0.00'
                            spam_complaints_count: 0
                            spam_complaints_percentage: '0.00'
                            unsubscribe: 0
                            unsubscribe_percentage: '0.00'
                          sender:
                            sender_email: test@regalwork.com
                            sender_name: Html - 1
                          status: Draft
                          subject: Html - 1
                          tag: Improvements
                      triggers:
                        - activity: Contact Activity
                          activity_id: uSK
                          description: Contact joins to a particular list
                          filters:
                            group_joiner: OR
                            groups: []
                          included_import: true
                          list_id: Ewy
                          list_name: List Deletion - 1
                      steps:
                        - active_contacts: 0
                          campaign_details:
                            created_date: '2025-01-24 09:59:47'
                            email_preheader: ''
                            id: HZy
                            modified_date: '2025-01-24 09:59:47'
                            name: Html - 1
                            reply_email: test@regalwork.com
                            report_summary:
                              abuse: 0
                              abuse_percentage: '0.00'
                              clicks: 0
                              clicks_percentage: '0.00'
                              conversions: 0
                              conversions_percentage: '0.00'
                              delivered: 0
                              delivered_percentage: '0.00'
                              hard_bounce: 0
                              hard_bounce_percentage: '0.00'
                              open_percentage: '0.00'
                              opens: 0
                              queue: 0
                              queue_percentage: '0.00'
                              queued_total: 0
                              sent: 0
                              sent_percentage: '0.00'
                              soft_bounce: 0
                              soft_bounce_percentage: '0.00'
                              spam_complaints_count: 0
                              spam_complaints_percentage: '0.00'
                              unsubscribe: 0
                              unsubscribe_percentage: '0.00'
                            sender:
                              sender_email: test@regalwork.com
                              sender_name: Html - 1
                            status: Draft
                            subject: Html - 1
                            tag: Improvements
                          completed_contacts: 0
                          name: Send Email
                          skipped_contacts: 0
                          step_id: uSS
                          type: email
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                type: object
                properties:
                  errors:
                    type: array
                    items:
                      type: object
                      properties:
                        field:
                          type: string
                        message:
                          type: string
                x-examples:
                  Example 1:
                    errors:
                      - field: node_type
                        message: invalid value
              examples:
                Example-1:
                  value:
                    errors:
                      - field: node_type
                        message: invalid value
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                type: object
                properties:
                  errors:
                    type: array
                    items:
                      type: object
                      properties:
                        field:
                          type: string
                        message:
                          type: string
                x-examples:
                  Example 1:
                    errors:
                      - field: ''
                        message: Authorization failed
              examples:
                Example-1:
                  value:
                    errors:
                      - field: ''
                        message: Authorization failed
components:
  securitySchemes:
    apiKey:
      type: apiKey
      in: header
      name: Authorization
      description: >-
        Your Mailercloud API key (plain text, no Bearer prefix). Create keys in
        Settings → API.

````